package com.ruoyi.web.modules.account.service;

import java.util.List;
import com.ruoyi.web.modules.account.domain.BizMemberAddress;
import com.ruoyi.web.modules.account.vo.MemberAddressVO;

/**
 * 会员地址 Service
 */
public interface IMemberAddressService
{
    List<MemberAddressVO> listByMember(Long memberId);

    Long addAddress(Long memberId, BizMemberAddress address);

    void updateAddress(Long memberId, BizMemberAddress address);

    void deleteAddress(Long memberId, Long addressId);

    void setDefaultAddress(Long memberId, Long addressId);
}
